Bug 126484 - no error indication in case suid_libia32x.so cannot be exec'ed
no error indication in case suid_libia32x.so cannot be exec'ed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ia32el (Show other bugs)
3.0
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-22 07:14 EDT by Yoav Zach
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version: 1.0-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 13:51:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
returns an error indication in case exec of suid_libia32x.so fails (708 bytes, patch)
2004-06-22 07:15 EDT, Yoav Zach
no flags Details | Diff

  None (edit)
Description Yoav Zach 2004-06-22 07:14:50 EDT
Description of problem:
when emualting suid binaries libia32x.so exec's a special version of 
binary called suid_libia32x.so. libia32x.so will not return an 
indicaiton of error if execve failed.

Version-Release number of selected component (if applicable):
libia32x.so - 4602

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Yoav Zach 2004-06-22 07:15:56 EDT
Created attachment 101328 [details]
returns an error indication in case exec of suid_libia32x.so fails

Note You need to log in before you can comment on or make changes to this bug.